Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.agf.chart.ide
Class ChartAction

    java.lang.Object
      org.eclipse.amp.agf.chart.ide.ChartAction

All Implemented Interfaces:
  org.eclipse.ui.IActionDelegate, org.eclipse.ui.IViewActionDelegate

Direct Known Subclasses:
  DisplayLegendAction, SelectAreaAction, SelectHistogramAction, SelectPieAction, SelectTimeSeriesAction

    public abstract class ChartAction

extends java.lang.Object
implements org.eclipse.ui.IViewActionDelegate

Author:
  mparker

Field Summary
`protected ChartViewPart` | `viewPart`

Constructor Summary
`ChartAction()`

Method Summary
`ChartEditPart` | `getEditor()`
`void` | `init(org.eclipse.ui.IViewPart view)`
`abstract void` | `run(org.eclipse.jface.action.IAction action)`
`void` | `selectionChanged(org.eclipse.jface.action.IAction action, org.eclipse.jface.viewers.ISelection selection)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### viewPart

    protected ChartViewPart viewPart

Constructor Detail

### ChartAction

    public ChartAction()

Method Detail

### init

    public void init(org.eclipse.ui.IViewPart view)

  Specified by:
    `init` in interface `org.eclipse.ui.IViewActionDelegate`
  See Also:
    `IViewActionDelegate.init(org.eclipse.ui.IViewPart)`

### selectionChanged

    public void selectionChanged(org.eclipse.jface.action.IAction action,
                                 org.eclipse.jface.viewers.ISelection selection)

  Specified by:
    `selectionChanged` in interface `org.eclipse.ui.IActionDelegate`
  See Also:
    `IActionDelegate.selectionChanged(org.eclipse.jface.action.IAction, org.eclipse.jface.viewers.ISelection)`

### getEditor

    public ChartEditPart getEditor()

### run

    public abstract void run(org.eclipse.jface.action.IAction action)

  Specified by:
    `run` in interface `org.eclipse.ui.IActionDelegate`
  Parameters:
    `action` -
  See Also:
    `IActionDelegate.run(org.eclipse.jface.action.IAction)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD